<?php

// Admin routes  for notifications
Route::group(['prefix' => 'admin/file_repository'], function () {
    Route::resource('notifications', 'NotificationsAdminController');
});

// User routes for notifications
Route::group(['prefix' => 'user/file_repository'], function () {
    Route::resource('notifications', 'NotificationsUserController');
});

// Public routes for notifications
Route::group(['prefix' => 'file_repositories'], function () {
    Route::get('/', 'NotificationsPublicController@index');
    Route::get('/{slug?}', 'NotificationsPublicController@show');
});

// Admin routes  for attachments
Route::group(['prefix' => 'admin/file_repository'], function () {
    Route::resource('attachments', 'AttachmentsAdminController');
});

// User routes for attachments
Route::group(['prefix' => 'user/file_repository'], function () {
    Route::resource('attachments', 'AttachmentsUserController');
});

// Public routes for attachments
Route::group(['prefix' => 'file_repositories'], function () {
    Route::get('/', 'AttachmentsPublicController@index');
    Route::get('/{slug?}', 'AttachmentsPublicController@show');
});

