This is a Laravel 5 package that provides file_repository management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `labrender/file_repository`.

    "labrender/file_repository": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Labrender\FileRepository\Providers\FileRepositoryServiceProvider::class,

```

And also add it to alias

```php
'FileRepository'  => Labrender\FileRepository\Facades\FileRepository::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Labrender\FileRepository\Providers\FileRepositoryServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Labrender\FileRepository\Providers\FileRepositoryServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Labrender\FileRepository\Providers\FileRepositoryServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Labrender\FileRepository\Providers\FileRepositoryServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Labrender\FileRepository\Providers\FileRepositoryServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Labrender\FileRepository\Providers\FileRepositoryServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


