<?php

namespace Labrender\FileRepository\Repositories\Eloquent;

use Labrender\FileRepository\Interfaces\NotificationsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NotificationsRepository extends BaseRepository implements NotificationsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('labrender.file_repository.notifications.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('labrender.file_repository.notifications.model');
    }
}
