<?php

namespace Labrender\FileRepository\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificationsItemTransformer extends TransformerAbstract
{
    public function transform(\Labrender\FileRepository\Models\Notifications $notifications)
    {
        return [
            'id'                => $notifications->getRouteKey(),
            'message_id'        => $notifications->message_id,
            'title'             => $notifications->title,
            'message'           => $notifications->message,
            'status'            => trans('app.'.$notifications->status),
            'created_at'        => format_date($notifications->created_at),
            'updated_at'        => format_date($notifications->updated_at),
        ];
    }
}